Forums | Admin

Discussion Forums: help

Start New Thread Start New Thread

 

By: Gerardo Santana Gómez Garrido
RE: SLOB: Error initialize Smart-large-object [ reply ]  
2009-01-15 15:32
Hi Santi,

the version mismatch is my fault. It's fixed in 0.7.2. The SLOB related code hasn't been touched in these latest versions though.

Please enclose that line of code inside a begin ... rescue ... end block and print the Exception object to see the exact Informix error code and get more clues about the problem.

By: Santi lopez
SLOB: Error initialize Smart-large-object [ reply ]  
2009-01-09 16:12
Hi all,
Testing the samples (Santana) in Windows.
I got on line 'slob = db.slob(Slob::BLOB)' the following error:
c:/ruby/lib/ruby/gems/1.8/gems/ruby-informix-0.7.1-i386-mswin32/lib/informix.rb:
315:in `initialize': Smart-large-object error. (Informix::DatabaseError)

I dont know whats wrong, I am testing the same sample in this web.
The database is IDS 11.5.FC1 on SLES 10SP2 and others tables on the same DB has got BLOBs fields
installing ruby-informix show the message installing '0.7.1' version of windows, but the sentence puts Informix.version say '0.7.0'